gsm48_range_1024 Struct Reference

`#include <gsm_04_08.h>`

## Data Fields

uint8_t | form_id:5
uint8_t | f0:1
uint8_t | w1_hi:2
uint8_t | w1_lo
uint8_t | w2_hi
uint8_t | w2_lo:1
uint8_t | w3_hi:7
uint8_t | w3_lo:2
uint8_t | w4_hi:6
uint8_t | w4_lo:2
uint8_t | w5_hi:6
uint8_t | w5_lo:2
uint8_t | w6_hi:6
uint8_t | w6_lo:2
uint8_t | w7_hi:6
uint8_t | w7_lo:2
uint8_t | w8_hi:6
uint8_t | w8_lo:1
uint8_t | w9:7
uint8_t | w10:7
uint8_t | w11_hi:1
uint8_t | w11_lo:6
uint8_t | w12_hi:2
uint8_t | w12_lo:5
uint8_t | w13_hi:3
uint8_t | w13_lo:4
uint8_t | w14_hi:4
uint8_t | w14_lo:3
uint8_t | w15_hi:5
uint8_t | w15_lo:2
uint8_t | w16:6

## Field Documentation

## f0

uint8_t gsm48_range_1024::f0

Referenced by gsm48_decode_freq_list().

## form_id

uint8_t gsm48_range_1024::form_id

## w10

uint8_t gsm48_range_1024::w10

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w11_hi

uint8_t gsm48_range_1024::w11_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w11_lo

uint8_t gsm48_range_1024::w11_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w12_hi

uint8_t gsm48_range_1024::w12_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w12_lo

uint8_t gsm48_range_1024::w12_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w13_hi

uint8_t gsm48_range_1024::w13_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w13_lo

uint8_t gsm48_range_1024::w13_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w14_hi

uint8_t gsm48_range_1024::w14_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w14_lo

uint8_t gsm48_range_1024::w14_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w15_hi

uint8_t gsm48_range_1024::w15_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w15_lo

uint8_t gsm48_range_1024::w15_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w16

uint8_t gsm48_range_1024::w16

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w1_hi

uint8_t gsm48_range_1024::w1_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w1_lo

uint8_t gsm48_range_1024::w1_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w2_hi

uint8_t gsm48_range_1024::w2_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w2_lo

uint8_t gsm48_range_1024::w2_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w3_hi

uint8_t gsm48_range_1024::w3_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w3_lo

uint8_t gsm48_range_1024::w3_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w4_hi

uint8_t gsm48_range_1024::w4_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w4_lo

uint8_t gsm48_range_1024::w4_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w5_hi

uint8_t gsm48_range_1024::w5_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w5_lo

uint8_t gsm48_range_1024::w5_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w6_hi

uint8_t gsm48_range_1024::w6_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w6_lo

uint8_t gsm48_range_1024::w6_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w7_hi

uint8_t gsm48_range_1024::w7_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w7_lo

uint8_t gsm48_range_1024::w7_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w8_hi

uint8_t gsm48_range_1024::w8_hi

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w8_lo

uint8_t gsm48_range_1024::w8_lo

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

## w9

uint8_t gsm48_range_1024::w9

Referenced by bitvec_add_range1024(), and gsm48_decode_freq_list().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_04_08.h